<?php
session_start();
$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setPost = array_map("strip_tags", $getPost);
$post = array_map("trim", $setPost);

//print_r($_SESSION);
//exit();
$jSon = array();

unset($post['SendPostForm'], $post['confirmar_senha']);

require ('../../../_app/Config.inc.php');
require('../../_models/AdminUsuario.class.php');

$dados['usuario_senha'] = base64_encode($post['usuario_senha']);
$userid = $_SESSION['usuariologin']['usuario_id'];

$Update = new Update;
$Update->ExeUpdate("tp_usuarios", $dados, "WHERE usuario_id = :id", "id={$userid}");


if (!$Update->getResult()):
    $jSon['error'] = ['Ocorreu um erro na atualização. Por favor entre em contato com o suporte do sistema.', WS_ERROR];
else:
    $jSon['error'] = ['Sua senha foi atualizado com sucesso!', WS_ACCEPT];
endif;

echo json_encode($jSon);
